﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.WebUI.WebDataInput.v13.1, Version=13.1.20131.2107, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.WebUI.WebDataInput" TagPrefix="igtxt" %>

<%@ Register Assembly="Infragistics4.Web.v13.1, Version=13.1.20131.2107, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function btnShowHide_Click(oButton, oEvent, sender, eventArgs) {
            var grid = $find('<%=EmployeeGrid.ClientID %>');
            if (grid.get_columns().get_columnFromKey("Number").get_hidden() == false)
                grid.get_columns().get_columnFromKey("Number").set_hidden(true);
            else
                grid.get_columns().get_columnFromKey("Number").set_hidden(false);

            if (grid.get_columns().get_columnFromKey("DecimalNumber").get_hidden() == false)
                grid.get_columns().get_columnFromKey("DecimalNumber").set_hidden(true);
            else
                grid.get_columns().get_columnFromKey("DecimalNumber").set_hidden(false);

            return false;
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>

            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>

            <igtxt:WebImageButton ID="btnShowHideCols" runat="server" Text="Show/HideColumns">
                <ClientSideEvents Click="btnShowHide_Click" />
            </igtxt:WebImageButton>

            <%--Variant 1 Using AutoGenerateColumns and NO Columns Width Set--%>
            <%--            
                <ig:WebDataGrid ID="EmployeeGrid" runat="server" Width="100%" Height="75%"
                AutoGenerateColumns="true" >

                <Behaviors>
                    <ig:Activation></ig:Activation>
                    <ig:EditingCore BatchUpdating="true" AutoCRUD="true" Enabled="true">
                        <Behaviors>
                            <ig:CellEditing>
                                <EditModeActions EnableF2="false" EnableOnActive="true" />
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Filtering FilterType="RowFilter" Enabled="true"></ig:Filtering>
                    <ig:Sorting></ig:Sorting>
                </Behaviors>

            </ig:WebDataGrid>--%>


            <%--Variant 2 Using AutoGenerateColumns and Columns width set - Reproduces the Issue--%>
            <ig:WebDataGrid ID="EmployeeGrid" runat="server" Width="100%" Height="75%"
                AutoGenerateColumns="false">
                <Columns>
                    <%--If there is a Default Column Width set(client Or server side), after columns hiding the space 
                        previously occupied by the curently hidden coluns in the header will no longer be a part of the 
                        other columns and will have a different header  --%>
                    <ig:BoundDataField Key="Name" Header-Text="Name" Width="200"></ig:BoundDataField>
                    <ig:BoundDataField Key="Number" Header-Text="Number" Width="200"></ig:BoundDataField>
                    <ig:BoundDataField Key="DecimalNumber" Header-Text="DecimalNumber" Width="200"></ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Activation></ig:Activation>
                    <ig:EditingCore BatchUpdating="true" AutoCRUD="true" Enabled="true">
                        <Behaviors>
                            <ig:CellEditing>
                                <EditModeActions EnableF2="false" EnableOnActive="true" />
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Filtering FilterType="RowFilter" Enabled="true"></ig:Filtering>
                    <ig:Sorting></ig:Sorting>
                </Behaviors>

            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>
