﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable MyDataSource = populateDataTable();
        EmployeeGrid.DataSource = MyDataSource;
        EmployeeGrid.DataBind();
    }


    protected DataTable populateDataTable()
    {
        DataTable dt = new DataTable();
        // setting the required DataType format here (Enshure that the DataSource DataType is correct)
        DataColumn column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "Number";

        dt.Columns.Add("Name");
        dt.Columns.Add(column);
        dt.Columns.Add("DecimalNumber");

        DataRow row;
        for (int i = 0; i < 100; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            row.SetField<Int32>("Number", 1 + i);
            row.SetField<decimal>("DecimalNumber", 1 + i);
            dt.Rows.Add(row);
        }
        return dt;
    }
}